'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

const HoverableElement = (props) => {
  const { className, hover = false, icon, hoverEle } = props;
  if (hover) {
    return hoverEle != null ? React__default.default.cloneElement(hoverEle, { className }) : null;
  }
  return icon != null ? React__default.default.cloneElement(icon, { className }) : null;
};
var HoverableElement$1 = HoverableElement;

module.exports = HoverableElement$1;
